%global _internal_version  c9a8d0c
%global date 20140101

Name:           nemo-extensions
Version:        2.0.0
Release:        %mkrel -c %{date}.git%{_internal_version} 2
Summary:        Extensions for Nemo
Group:          Graphical desktop/Cinnamon
License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com

Source0:        nemo-extensions-%{version}.git%{_internal_version}.tar.gz
#SourceGet0: https://github.com/linuxmint/nemo-extensions/tarball/%{_internal_version}
Patch0: nemo-extensions-2.0-mga-build.patch

BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  python-distutils-extra
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gpgme-devel
BuildRequires:  libcryptui-devel
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  libgnome-keyring-devel
BuildRequires:  gtk-doc  
BuildRequires:  libnotify-devel    
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(webkitgtk-3.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-x11-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(clutter-gst-2.0)

%description
Extensions for Nemo

%package     -n nemo-seahorse
Summary:     PGP encryption and signing for Nemo
License:     GPLv2+ and LGPLv2
Requires:    seahorse

%description -n nemo-seahorse
Seahorse nemo is an extension for nemo which allows encryption
and decryption of OpenPGP files using GnuPG.

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
Requires:    pastebinit
Requires:    nemo-python

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-rabbitvcs
Summary:     RabbitVCS extension for Nemo
License:     GPLv2+
Requires:    rabbitvcs-core
Requires:    nemo-python

%description -n nemo-rabbitvcs
nemo-rabbitvcs is an extension for the Nemo file manager.
It provides easy access to the version control systems like SVN or Git.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

#%package     -n nemo-dropbox
#Summary:     Dropbox interface for nemo
#License:     GPLv2+

#%description -n nemo-dropbox
#Dropbox interface for nemo

%package     -n nemo-python
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python-gobject3

%description -n nemo-python
Python bindings for Nemo

%package     -n nemo-python-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    nemo-python = %{version}-%{release}

%description -n nemo-python-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Nemo Terminal is a terminal embedded in Nemo
License:     GPLv3+
Requires:    vte
Requires:    nemo-python

%description -n nemo-terminal
Nemo Terminal is a terminal embedded in Nemo

%package     -n nemo-preview
Summary:     A quick previewer for Nemo
License:     GPLv2+
Requires:    nemo

%description -n nemo-preview
Nemo Preview is a GtkClutter and Javascript-based quick previewer 
for Nemo.
It is capable of previewing documents, PDFs, sound and video files,
some text files, and possibly others in the future.

To activate the preview, left-click the file and hit space.
The preview can be closed by hitting space again, or escape.

%prep
%setup -q -n linuxmint-%{name}-%{_internal_version}
%apply_patches

%build
pushd nemo-seahorse
autoreconf -fi
%configure2_5x
%make
popd

pushd nemo-pastebin
%{__python} setup.py build
popd

pushd nemo-fileroller
rm missing
NOCONFIGURE=1 ./autogen.sh
%configure
%make V=1 
popd

pushd nemo-python
rm missing
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --docdir=%{_datadir}/doc/nemo-python
%make V=1
popd

pushd nemo-preview
NOCONFIGURE=1 ./autogen.sh
intltoolize -f
%configure
make V=1 %{?_smp_mflags}
popd

%install
pushd nemo-seahorse
%make_install
popd

pushd nemo-pastebin
%{__python} setup.py install -O1 --install-scripts=%{_datadir}/nemo-pastebin/ --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/nemo-python/extensions/
mv %{buildroot}/%{_datadir}/nemo-pastebin/nemo-pastebin.py %{buildroot}/%{_datadir}/nemo-python/extensions/
ln -s %{_datadir}/nemo-pastebin/nemo-pastebin-configurator.py %{buildroot}/%{_bindir}/nemo-pastebin-configurator
popd

pushd nemo-rabbitvcs
cp -p RabbitVCS.py %{buildroot}/%{_datadir}/nemo-python/extensions/
popd

pushd nemo-fileroller
%make_install
popd

pushd nemo-python
%make_install
popd

pushd nemo-terminal
mkdir %{buildroot}/%{_datadir}/nemo-terminal
install -pm 0644 src/nemo_terminal.py %{buildroot}/%{_datadir}/nemo-python/extensions/
install -pm 0644 src/org.nemo.extensions.nemo-terminal.gschema.xml %{buildroot}/%{_datadir}/glib-2.0/schemas/
install -pm 0644 pixmap/logo_120x120.png %{buildroot}/%{_datadir}/nemo-terminal
popd

pushd nemo-preview
%make_install
popd

# remove useless libtool archive files
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.la
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.a
rm %{buildroot}/%{_libdir}/nemo-preview/libnemo-preview-1.0.la

desktop-file-install                                    \
 --delete-original                                      \
 --dir=%{buildroot}%{_datadir}/applications             \
 %{buildroot}/%{_datadir}/applications/seahorse-pgp-*.desktop

desktop-file-install                                    \
 --delete-original                                      \
 --dir=%{buildroot}%{_datadir}/applications             \
 %{buildroot}/%{_datadir}/applications/nemo-pastebin-configurator.desktop

%find_lang nemo-preview

%find_lang nemo-seahorse

%post -n nemo-seahorse
/usr/bin/update-desktop-database &> /dev/null || :

%postun -n nemo-seahorse
/usr/bin/update-desktop-database &> /dev/null || :



%files -n nemo-seahorse -f nemo-seahorse.lang
%doc nemo-seahorse/{AUTHORS,COPYING,README,NEWS,ChangeLog}
%{_bindir}/seahorse-tool
%{_libdir}/nemo/extensions-3.0/libnemo-seahorse.so
%{_datadir}/applications/seahorse-pgp-*.desktop
%{_datadir}/nemo-seahorse/
%{_mandir}/man1/seahorse-tool.1.*

%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS}
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python_sitelib}/nemo_pastebin-1.0.0-py?.?.egg-info
%{_datadir}/applications/nemo-pastebin-configurator.desktop
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/pixmaps/nemo-pastebin.svg

%files -n nemo-rabbitvcs
%doc nemo-rabbitvcs/COPYING
%{_datadir}/nemo-python/extensions/RabbitVCS.py

%files -n nemo-fileroller
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-python
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n nemo-python-devel
%{_libdir}/pkgconfig/nemo-python.pc


%files -n nemo-terminal
%doc nemo-terminal/COPYING
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml

%files -n nemo-preview -f nemo-preview.lang
%doc nemo-preview/{README,COPYING}
%{_bindir}/nemo-preview
%{_libdir}/nemo-preview/
%{_libexecdir}/nemo-preview-start
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service



%changelog
* Wed Jan 08 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.2.mga4
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.1.mga4
+ Revision: 563971
- add more buildrequires
- add more buildrequires
- fix depends
- add build requires gobject introspection
- upgrade to latest git

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.20130930.gitadeeeb1.4.mga4
+ Revision: 542897
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.20130930.gitadeeeb1.3.mga4
+ Revision: 497957
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.2.mga4
+ Revision: 495929
- fix python-gobject3 dependency

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.1.mga4
+ Revision: 495924
- clean up spec
- imported package nemo-extensions


* Tue Oct 08 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.5.git3e366de
- add nemo-rabbitvcs sub-package

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.4.git3e366de
- clean up nemo-pastebin install

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.3.git3e366de
- fix files listed twice

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.2.git3e366de
- fix nemo-pastebin
- add python extensions directory

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.1.git3e366de
- Initial build

